package cn.superdesk.uniorder.dubbo.facade.channel;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.channel.UnifiedChannelSync;
import cn.superdesk.uniorder.dto.dubbo.channel.UnifiedChannelSyncParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-08-28 16:37:32
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-08-28 16:37:32
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboUnifiedChannelSyncService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(UnifiedChannelSyncParam param);

	@Deprecated
	void updateObj(UnifiedChannelSyncParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	UnifiedChannelSync findById(Long id);

	@Deprecated
	PageInfo<UnifiedChannelSync> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<UnifiedChannelSync> findAll(Map<String, Object> queryMap);


	/****************************************** extends BaseService 部分   end ******************************************/


	void addUnifiedChannelSync(UnifiedChannelSyncParam param);

	void updateUnifiedChannelSync(UnifiedChannelSyncParam param);

	void deleteUnifiedChannelSync(Long id);

	UnifiedChannelSync findUnifiedChannelSyncById(Long id);

	R<List<UnifiedChannelSync>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);



	////////////////////

	void addUnifiedChannelSync(UnifiedChannelSync channelSync);

	void updateUnifiedChannelSync(UnifiedChannelSync channelSync);

//	void deleteUnifiedChannelSync(Long id);

	List<UnifiedChannelSync> getChannelAll(Map<String, Object> params);

	UnifiedChannelSync findUnifiedChannelSyncByChannelId(Long id);


	/***************************************************** 关于 UnifiedChannelSync kafka同步 start *****************************************************/
	void deleteReceiveUnifiedChannelSync(String message);

	void mergeReceiveUnifiedChannelSync(String message);
	/***************************************************** 关于 UnifiedChannelSync kafka同步   end *****************************************************/
}
